package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.common.module.utils.HttpUtils;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class BytedanceAiCreateJob {
    private static final String URLPREFIX = "http://118.24.244.213:8080/bytedance-api/advertiser/aiBytedanceAdvertiserStrategy/autoCreateCreative?hour=";
    @XxlJob("bytedanceAutoCreateJob")
    public void execute() throws Exception {
        String hour = DateUtils.getNowHour(new Date());
        HttpUtils.httpGet(URLPREFIX + hour, null, null);
    }
}
